/**
 * Copyright 1998-2007, CHISEL Group, University of Victoria, Victoria, BC, Canada.
 * All rights reserved.
 */
package ca.uvic.csr.shrimp.DataBean.event;

import javax.swing.JEditorPane;

import ca.uvic.csr.shrimp.PanelModeConstants;

/**
 * @author Rob Lintern
 */
public class AnnotationPanelLoadEvent implements CustomizedPanelActionEvent {
	private long artifactID;
	private JEditorPane editorPane;
	
	public AnnotationPanelLoadEvent (JEditorPane editorPane, long artifactID) {
		this.artifactID = artifactID;
		this.editorPane = editorPane;
	}
	
	public long getArtifactID () {
		return artifactID;
	}
	
	public JEditorPane getJEditorPane () {
		return editorPane;
	}

    /**
     * @see ca.uvic.csr.shrimp.DataBean.event.CustomizedPanelActionEvent#getPanelType()
     */
    public String getPanelType() {
        return PanelModeConstants.PANEL_ANNOTATION;
    }
	
}
